Endpoint de conexões de organização Enterprise
curl --request GET \
--url https://api.devin.ai/v2/enterprise/organizations/{org_id}/git/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v2/enterprise/organizations/{org_id}/git/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v2/enterprise/organizations/{org_id}/git/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_more": true,
"items": [
{
"connection_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"host": "<string>",
"name": "<string>",
"type": "github_token"
}
],
"limit": 123,
"skip": 123,
"total": 123,
"next_cursor": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Conexões da organização
Conexões da organização
Obter uma lista paginada de conexões Git às quais esta organização tem acesso
GET
/
v2
/
enterprise
/
organizations
/
{org_id}
/
git
/
connections
Endpoint de conexões de organização Enterprise
Requer a chave de API pessoal de um administrador Enterprise.
Retorna uma lista paginada de conexões Git às quais uma organização específica tem acesso dentro da sua conta Enterprise.
Autorizações
Chave de API pessoal (apk_user_*) somente para administradores do Enterprise
Parâmetros de caminho
Parâmetros de consulta
Intervalo obrigatório:
x >= 0Intervalo obrigatório:
1 <= x <= 200
